Zandronum Chat on our Discord Server Get the latest version: 3.1
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004186Zandronum[All Projects] Bugpublic2024-01-19 21:432024-02-11 22:25
ReporterRu5tK1ng 
Assigned To 
PrioritynormalSeveritytweakReproducibilityalways
Statusneeds testingResolutionopen 
PlatformOSOS Version
Product Version3.1 
Target Version3.2Fixed in Version 
Summary0004186: P_CheckMissileSpawn instructs clients to explode a missile before it's been spawned on the client
DescriptionIf a missile is spawned and is blown up due to not being able to move, the client doesn't know of this missile.
Steps To Reproduce1. Load up Hexen in a local server with sv_cheats 1
2. Connect with client on map05
3. Enable cl_showwarnings 1
4. Warp 150 -1100
5. Fight the Wendigos and take note of warning spam
Attached Filesdiff file icon checkmissilefix.diff [^] (3,323 bytes) 2024-01-19 21:49 [Show Content]
diff file icon thingprojectilefix.diff [^] (3,326 bytes) 2024-01-19 21:53 [Show Content]

- Relationships

-  Notes
User avatar (0022995)
Ru5tK1ng (updater)
2024-01-19 21:54
edited on: 2024-01-19 23:36

On further inspection it seems like there's a bit more going on

User avatar (0023046)
Ru5tK1ng (updater)
2024-01-30 20:50

Merge request:'https://foss.heptapod.net/zandronum/zandronum-stable/-/merge_requests/17?commit_id=05ab765c57506ab0f23630dcc8ad9594b262a053 [^]'
User avatar (0023072)
Ru5tK1ng (updater)
2024-02-11 22:25

Merged:'https://foss.heptapod.net/zandronum/zandronum-stable/-/commit/8515d153e6dd0dbd2ef6891b6e7188996c1ab914 [^]'

Issue Community Support
Only registered users can voice their support. Click here to register, or here to log in.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2024-01-19 21:43 Ru5tK1ng New Issue
2024-01-19 21:49 Ru5tK1ng File Added: checkmissilefix.diff
2024-01-19 21:53 Ru5tK1ng File Added: thingprojectilefix.diff
2024-01-19 21:54 Ru5tK1ng Note Added: 0022995
2024-01-19 21:54 Ru5tK1ng Status new => needs review
2024-01-19 21:54 Ru5tK1ng Summary P_Thing_Projectile instructs clients to explode an unknown missile => [PATCH] P_Thing_Projectile instructs clients to explode an unknown missile
2024-01-19 23:35 Ru5tK1ng Summary [PATCH] P_Thing_Projectile instructs clients to explode an unknown missile => P_Thing_Projectile instructs clients to explode an unknown missile
2024-01-19 23:36 Ru5tK1ng Note Edited: 0022995 View Revisions
2024-01-19 23:36 Ru5tK1ng Status needs review => new
2024-01-20 04:25 Ru5tK1ng Summary P_Thing_Projectile instructs clients to explode an unknown missile => P_CheckMissileSpawn instructs clients to explode a missile before it's been spawned on the client
2024-01-20 04:25 Ru5tK1ng Steps to Reproduce Updated View Revisions
2024-01-30 20:50 Ru5tK1ng Note Added: 0023046
2024-01-30 20:50 Ru5tK1ng Status new => needs review
2024-02-11 22:25 Ru5tK1ng Note Added: 0023072
2024-02-11 22:25 Ru5tK1ng Status needs review => needs testing
2024-02-11 22:25 Ru5tK1ng Target Version => 3.2






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2024 MantisBT Team
Powered by Mantis Bugtracker